
Redmine - Defect #7556

ActionView::TemplateError (undefined method `anonymous_user_path'...) on klicking

administration/users

2011-02-05 18:46 - Tomas Hildebrandt

Status: Closed Start date: 2011-02-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

The following Problem arises when klicking on administration/users:

ActionView::TemplateError (undefined method `anonymous_user_path' for #<ActionView::Base:0x424b3ee

8>) on line #42 of app

/views/users/index.rhtml:

39:     <td class="last_login_on" align="center"><%= format_time(user.last_login_on) unless user.l

ast_login_on.nil? %></

td>

40:     <td class="buttons">

41:             <%= change_status_link(user) %>

42:             <%= link_to(l(:button_delete), user, :confirm => l(:text_are_you_sure), :method =>

 :delete, :class => 'i

con icon-del') unless User.current == user %>

43:     </td>

44:   </tr>

45: <% end -%>

    app/views/users/index.rhtml:42:in `_run_rhtml_app47views47users47index46rhtml'

    app/views/users/index.rhtml:31:in `each'

    app/views/users/index.rhtml:31:in `_run_rhtml_app47views47users47index46rhtml'

    app/controllers/users_controller.rb:59:in `index'

    app/controllers/users_controller.rb:58:in `index'

    /var/www/redmine/public/dispatch.fcgi:24

Rendering /var/www/redmine-svn/redmine/public/500.html (500 Internal Server Error)

 But im able to mchange the url to http://.../users/x and see the user details and can change settings whithout problems for all ids >=6

Im Using apache/fcgid/mysql on version Redmine 1.1.1.devel.4798 (MySQL).

svn status shows only minimal changes, where 'update_redmine' is a script to backup und 'svn up' to the latest version.

root@home:/var/www/redmine# svn status

?       update_redmine

M       config/environment.rb

!       public/dispatch.fcgi.example

?       public/themes/holo

 I Think it is a problem with the database and migration. Im using the devel version without problems since 2006.

Everything else is fine... where is the problem???

Related issues:

Has duplicate Redmine - Defect #8201: Displaing locked users in Administratio... Closed 2011-04-20

History

#1 - 2011-02-05 18:52 - Tomas Hildebrandt

Additional info about the environment...
http://.../users/x


*** LOCAL GEMS ***

actionmailer (2.3.5)

actionpack (2.3.5)

activerecord (2.3.5)

activeresource (2.3.5)

activesupport (2.3.5)

i18n (0.4.2)

postgres-pr (0.6.3)

rack (1.0.1)

rails (2.3.5)

rake (0.8.7)

#2 - 2011-02-05 19:13 - Tomas Hildebrandt

Correction: Im using redmine since 2008

Additional Information about installed plugins in the past:

redmine_blogs

google_analytics

redmine_mylyn_connector

#3 - 2011-02-07 15:04 - Etienne Massip

Got exactly the same error if I set the status field for AnonymousUser in table users to 1.

It should be 0, set it to 0.

#4 - 2011-06-24 11:01 - Karel Pičman

Yes, this helps:

mysql> update users set status = 0 where type = 'AnonymousUser';

#5 - 2011-06-24 11:12 - Karel Pičman

status != 0 by the anonymous user was caused by my own plug-in that locks all users not logged in for more than 3 months.

#6 - 2011-06-24 11:54 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Guess that the issue is gone for Tomas too.
